<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/logout', [\App\Http\Controllers\Auth\LogoutController::class, 'logout'])->name('logout');
Route::post('/login', [\App\Http\Controllers\Auth\LoginController::class, 'login'])->name('login');
Route::get('/login', function () {
    return view('app');
});

Route::middleware('auth:sanctum')->get('/{any}', function () {
    return view('app');
})->where('any', '.+');

Route::get('/', function () {
    if (!Auth::user()) {
        return redirect('/login');
    }

    return view('app');
})->name('home');
